libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Structures | Macros | Enumerations | Functions | Variables
pmt.h File Reference
Digital TV table parsing

Provides the descriptors for PMT MPEG-TS table. More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <libdvbv5/header.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_table_pmt_stream
| MPEG-TS PMT stream table. More...
struct | dvb_table_pmt
| MPEG-TS PMT table. More...

## Macros
#define | DVB_TABLE_PMT
| PMT table ID. More...
#define | dvb_pmt_field_first
| First field at the struct. More...
#define | dvb_pmt_field_last
| First field that are not part of the received data. More...
#define | dvb_pmt_stream_foreach(_stream, _pmt)
| Macro used to find streams on a PMT table. More...

## Enumerations
enum | dvb_streams { stream_video , stream_video_h262 , stream_audio , stream_audio_13818_3 , stream_private_sections , stream_private_data , stream_mheg , stream_h222 , stream_h222_1 , stream_13818_6_A , stream_13818_6_B , stream_13818_6_C , stream_13818_6_D , stream_h222_aux , stream_audio_adts , stream_video_14496_2 , stream_audio_latm , stream_14496_1_pes , stream_14496_1_iso , stream_download , stream_video_h264 , stream_audio_14496_3 , stream_video_hevc , stream_video_cavs , stream_video_moto , stream_audio_a52 , stream_scte_27 , stream_audio_sdds , stream_audio_dts_hdmv , stream_audio_e_ac3 , stream_audio_dts , stream_audio_a52_vls , stream_spu_vls , stream_audio_sdds2 }
| Add support for MPEG-TS Stream types. More...

## Functions
ssize_t | dvb_table_pmt_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct dvb_table_pmt **table)
| Initializes and parses PMT table. More...
void | dvb_table_pmt_free (struct dvb_table_pmt *table)
| Frees all data allocated by the PMT table parser. More...
void | dvb_table_pmt_print (struct dvb_v5_fe_parms *parms, const struct dvb_table_pmt *table)
| Prints the content of the PAT table. More...

## Variables
const char * | pmt_stream_name []
| Converts from enum dvb_streams into a string. More...

## Detailed Description

Provides the descriptors for PMT MPEG-TS table.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ISO/IEC 13818-1

See also
  http://www.etherguidesystems.com/help/sdos/mpeg/syntax/tablesections/pmts.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file pmt.h.

## Macro Definition Documentation

## ◆ dvb_pmt_field_first

#define dvb_pmt_field_first

First field at the struct.

Definition at line 237 of file pmt.h.

## ◆ dvb_pmt_field_last

#define dvb_pmt_field_last

First field that are not part of the received data.

Definition at line 240 of file pmt.h.